Skip to main content
GET
/
api
/
v2
/
user-search
/
{projectKey}
/
{environmentKey}
Find users
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/user-search/{projectKey}/{environmentKey} \
  --header 'Authorization: <api-key>'
{
  "totalCount": 245,
  "items": [
    {
      "lastPing": "2022-06-28T23:21:29.176609596Z",
      "environmentId": "1234a56b7c89d012345e678f",
      "ownerId": "12ab3c45de678910abc12345",
      "user": {
        "key": "user-key-123abc",
        "secondary": "2398127",
        "ip": "10.10.10.10",
        "country": "United States",
        "email": "sandy@example.com",
        "firstName": "Sandy",
        "lastName": "Smith",
        "avatar": "http://example.com/avatar.png",
        "name": "Sandy Smith",
        "anonymous": false,
        "custom": {},
        "privateAttrs": [
          "<string>"
        ]
      },
      "sortValue": "user-key-123abc",
      "_links": {
        "parent": {
          "href": "/api/v2/users/my-project/my-environment",
          "type": "application/json"
        },
        "self": {
          "href": "/api/v2/users/my-project/my-environment/my-user",
          "type": "application/json"
        },
        "settings": {
          "href": "/api/v2/users/my-project/my-environment/my-user/flags",
          "type": "text/html"
        },
        "site": {
          "href": "/my-project/my-environment/users/my-user",
          "type": "text/html"
        }
      },
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      }
    }
  ],
  "_links": {
    "next": {
      "href": "/api/v2/user-search/my-project/my-environment?after=1647993600000&limit=20&searchAfter=my-user&sort=userKey",
      "type": "application/json"
    },
    "self": {
      "href": "/api/v2/user-search/my-project/my-environment?after=1647993600000&limit=20&sort=userKey",
      "type": "application/json"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

Query Parameters

q
string<string>

Full-text search for users based on name, first name, last name, e-mail address, or key

limit
integer<int64>

Specifies the maximum number of items in the collection to return (max: 50, default: 20)

offset
integer<int64>

Deprecated, use searchAfter instead. Specifies the first item to return in the collection.

after
integer<int64>

A Unix epoch time in milliseconds specifying the maximum last time a user requested a feature flag from LaunchDarkly

sort
string<string>

Specifies a field by which to sort. LaunchDarkly supports the userKey and lastSeen fields. Fields prefixed by a dash ( - ) sort in descending order.

searchAfter
string<string>

Limits results to users with sort values after the value you specify. You can use this for pagination, but we recommend using the next link we provide instead.

filter
string<string>

A comma-separated list of user attribute filters. Each filter is in the form of attributeKey:attributeValue

Response

Users collection response

totalCount
integer
required

The total number of users in the environment

Example:

245

items
object[]
required

Details on the users

The location and content type of related resources

Example:
{
"next": {
"href": "/api/v2/user-search/my-project/my-environment?after=1647993600000&limit=20&searchAfter=my-user&sort=userKey",
"type": "application/json"
},
"self": {
"href": "/api/v2/user-search/my-project/my-environment?after=1647993600000&limit=20&sort=userKey",
"type": "application/json"
}
}